package model;

public class Board {
	private Piece[] pieces;

	public static final int EMPTY = 0,
			WHITE_PAWN = 1, WHITE_ROOK = 2, WHITE_KNIGHT = 3, WHITE_BISHOP = 4, WHITE_QUEEN = 5, WHITE_KING = 6;

	public Board() {
		pieces = new Piece[64];
		// initialisation du board
		for(int i = 0 ; i < 64 ; i++) {
			pieces[i] = null;
		}
		// placement des pièces
		/*
		this.setPawn(new Position(Position.a, 2), Piece.WHITE);
		this.set(new Position(Position.b, 2), Piece.WHITE);
		this.set(new Position(Position.c, 2), Piece.WHITE);
		this.set(new Position(Position.d, 2), Piece.WHITE);
		this.set(new Position(Position.e, 2), Piece.WHITE);
		this.set(new Position(Position.f, 2), Piece.WHITE);
		this.set(new Position(Position.g, 2), Piece.WHITE);
		this.set(new Position(Position.h, 2), Piece.WHITE);*/
	}

	public void set(Position p, Piece piece) {
		pieces[p.getID()] = piece;
	}
	public void setPawn(Position p, int color) { pieces[p.getID()] = new Pawn(p, color); }
	public void setRook(Position p, int color) { pieces[p.getID()] = new Pawn(p, color); }
	public void setKnight(Position p, int color) { pieces[p.getID()] = new Pawn(p, color); }
	public void setBishop(Position p, int color) { pieces[p.getID()] = new Pawn(p, color); }
	public void setQueen(Position p, int color) { pieces[p.getID()] = new Pawn(p, color); }
	public void setKing(Position p, int color) { pieces[p.getID()] = new Pawn(p, color); }

	/*public int get(Position p) {
		return pieces[p.getID()];
	}*/
}
